package com.ruoyi.project.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.project.domain.TrsSensitiveResults;
import org.apache.ibatis.annotations.Mapper;

/**
 * 常见错误监测Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-19
 */
@Mapper
public interface TrsSensitiveResultsMapper 
{
    /**
     * 查询常见错误监测
     * 
     * @param id 常见错误监测主键
     * @return 常见错误监测
     */
    public TrsSensitiveResults selectTrsSensitiveResultsById(Long id);

    /**
     * 查询常见错误监测列表
     * 
     * @param trsSensitiveResults 常见错误监测
     * @return 常见错误监测集合
     */
    public List<TrsSensitiveResults> selectTrsSensitiveResultsList(TrsSensitiveResults trsSensitiveResults);
    public List<TrsSensitiveResults> selectTrsSensitiveResultsListAll(TrsSensitiveResults trsSensitiveResults);

    /**
     * 新增常见错误监测
     * 
     * @param trsSensitiveResults 常见错误监测
     * @return 结果
     */
    public int insertTrsSensitiveResults(TrsSensitiveResults trsSensitiveResults);

    /**
     * 修改常见错误监测
     * 
     * @param trsSensitiveResults 常见错误监测
     * @return 结果
     */
    public int updateTrsSensitiveResults(TrsSensitiveResults trsSensitiveResults);

    /**
     * 删除常见错误监测
     * 
     * @param id 常见错误监测主键
     * @return 结果
     */
    public int deleteTrsSensitiveResultsById(Long id);

    /**
     * 批量删除常见错误监测
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsSensitiveResultsByIds(String[] ids);

    Map<String, Integer> getStatistics(TrsSensitiveResults trsSensitiveResults);

    Long selectId(String datakey);

    TrsSensitiveResults selectTrsSensitiveResultsByIdV2(Long id);
}
